# List Supported Countries

Each Sudo Platform environment is configured to support Secure ID Verification of identities from a specific set of countries. To get a list of supported countries, use the `listSupportedCountries()` method. The results are ISO 3166-1 alpha-2 codes, e.g. `US` for the United States.

{% tabs %}
{% tab title="Swift" %}

```swift
do {
    let countries = try await identityVerificationClient.listSupportedCountries()
} catch {
    // Handle error. An error may be thrown if the backend is unable to perform
    // requested operation due to availability or security issues.
    // An error might be also be thrown for unrecoverable circumstances arising
    // from programmatic error or configuration error. For example, if the keychain
    // access entitlement is not set up correctly or basic system resources are
    // unavailable.
}
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
CoroutineScope(Dispatchers.IO).launch {
    try {
        // countries: list of strings containing the country codes
        val countries = identityVerificationClient.listSupportedCountries()
    } catch (e: SudoIdentityVerificationException) {
        // Handle errors.
    }
}
```

{% endtab %}

{% tab title="TypeScript" %}

```typescript
try {
    const supportedCountries = await identityVerificationClient.listSupportedCountries()
}
catch (err) {
    // Handle errors
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sudoplatform.com/guides/identity-verification/list-supported-countries.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
